import { __exports as B } from "./accelbyte-widgets647.mjs";
import va from "react";
import { __require as ga } from "./accelbyte-widgets646.mjs";
/** @license React v17.0.2
 * react-dom-server.browser.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var Rr;
function xa() {
  return Rr ? B : (Rr = 1, process.env.NODE_ENV !== "production" && function() {
    var _ = va, y = ga();
    function ya(e) {
      for (var t = "https://reactjs.org/docs/error-decoder.html?invariant=" + e, r = 1; r < arguments.length; r++)
        t += "&args[]=" + encodeURIComponent(arguments[r]);
      return "Minified React error #" + e + "; visit " + t + " for the full message or use the non-minified dev environment for full errors and additional helpful warnings.";
    }
    var Sr = "17.0.2", Q = _.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;
    function Tr(e) {
      {
        for (var t = arguments.length, r = new Array(t > 1 ? t - 1 : 0), n = 1; n < t; n++)
          r[n - 1] = arguments[n];
        rt("warn", e, r);
      }
    }
    function c(e) {
      {
        for (var t = arguments.length, r = new Array(t > 1 ? t - 1 : 0), n = 1; n < t; n++)
          r[n - 1] = arguments[n];
        rt("error", e, r);
      }
    }
    function rt(e, t, r) {
      {
        var n = Q.ReactDebugCurrentFrame, a = n.getStackAddendum();
        a !== "" && (t += "%s", r = r.concat([a]));
        var s = r.map(function(i) {
          return "" + i;
        });
        s.unshift("Warning: " + t), Function.prototype.apply.call(console[e], console, s);
      }
    }
    var Ae = 60106, ue = 60107, De = 60108, Pe = 60114, ee = 60109, ce = 60110, fe = 60112, te = 60113, de = 60120, he = 60115, pe = 60116, Me = 60121, nt = 60117, at = 60119, it = 60129, ot = 60131;
    if (typeof Symbol == "function" && Symbol.for) {
      var v = Symbol.for;
      v("react.element"), Ae = v("react.portal"), ue = v("react.fragment"), De = v("react.strict_mode"), Pe = v("react.profiler"), ee = v("react.provider"), ce = v("react.context"), fe = v("react.forward_ref"), te = v("react.suspense"), de = v("react.suspense_list"), he = v("react.memo"), pe = v("react.lazy"), Me = v("react.block"), v("react.server.block"), nt = v("react.fundamental"), at = v("react.scope"), v("react.opaque.id"), it = v("react.debug_trace_mode"), v("react.offscreen"), ot = v("react.legacy_hidden");
    }
    function Ir(e, t, r) {
      var n = t.displayName || t.name || "";
      return e.displayName || (n !== "" ? r + "(" + n + ")" : r);
    }
    function st(e) {
      return e.displayName || "Context";
    }
    function E(e) {
      if (e == null)
        return null;
      if (typeof e.tag == "number" && c("Received an unexpected object in getComponentName(). This is likely a bug in React. Please file an issue."), typeof e == "function")
        return e.displayName || e.name || null;
      if (typeof e == "string")
        return e;
      switch (e) {
        case ue:
          return "Fragment";
        case Ae:
          return "Portal";
        case Pe:
          return "Profiler";
        case De:
          return "StrictMode";
        case te:
          return "Suspense";
        case de:
          return "SuspenseList";
      }
      if (typeof e == "object")
        switch (e.$$typeof) {
          case ce:
            var t = e;
            return st(t) + ".Consumer";
          case ee:
            var r = e;
            return st(r._context) + ".Provider";
          case fe:
            return Ir(e, e.render, "ForwardRef");
          case he:
            return E(e.type);
          case Me:
            return E(e._render);
          case pe: {
            var n = e, a = n._payload, s = n._init;
            try {
              return E(s(a));
            } catch {
              return null;
            }
          }
        }
      return null;
    }
    var Cr = !1, re = 0, lt, ut, ct, ft, dt, ht, pt;
    function vt() {
    }
    vt.__reactDisabledLog = !0;
    function Or() {
      {
        if (re === 0) {
          lt = console.log, ut = console.info, ct = console.warn, ft = console.error, dt = console.group, ht = console.groupCollapsed, pt = console.groupEnd;
          var e = {
            configurable: !0,
            enumerable: !0,
            value: vt,
            writable: !0
          };
          Object.defineProperties(console, {
            info: e,
            log: e,
            warn: e,
            error: e,
            group: e,
            groupCollapsed: e,
            groupEnd: e
          });
        }
        re++;
      }
    }
    function Ar() {
      {
        if (re--, re === 0) {
          var e = {
            configurable: !0,
            enumerable: !0,
            writable: !0
          };
          Object.defineProperties(console, {
            log: y({}, e, {
              value: lt
            }),
            info: y({}, e, {
              value: ut
            }),
            warn: y({}, e, {
              value: ct
            }),
            error: y({}, e, {
              value: ft
            }),
            group: y({}, e, {
              value: dt
            }),
            groupCollapsed: y({}, e, {
              value: ht
            }),
            groupEnd: y({}, e, {
              value: pt
            })
          });
        }
        re < 0 && c("disabledDepth fell below zero. This is a bug in React. Please file an issue.");
      }
    }
    var _e = Q.ReactCurrentDispatcher, Le;
    function ve(e, t, r) {
      {
        if (Le === void 0)
          try {
            throw Error();
          } catch (a) {
            var n = a.stack.trim().match(/\n( *(at )?)/);
            Le = n && n[1] || "";
          }
        return `
` + Le + e;
      }
    }
    var Fe = !1, ge;
    {
      var Dr = typeof WeakMap == "function" ? WeakMap : Map;
      ge = new Dr();
    }
    function gt(e, t) {
      if (!e || Fe)
        return "";
      {
        var r = ge.get(e);
        if (r !== void 0)
          return r;
      }
      var n;
      Fe = !0;
      var a = Error.prepareStackTrace;
      Error.prepareStackTrace = void 0;
      var s;
      s = _e.current, _e.current = null, Or();
      try {
        if (t) {
          var i = function() {
            throw Error();
          };
          if (Object.defineProperty(i.prototype, "props", {
            set: function() {
              throw Error();
            }
          }), typeof Reflect == "object" && Reflect.construct) {
            try {
              Reflect.construct(i, []);
            } catch (p) {
              n = p;
            }
            Reflect.construct(e, [], i);
          } else {
            try {
              i.call();
            } catch (p) {
              n = p;
            }
            e.call(i.prototype);
          }
        } else {
          try {
            throw Error();
          } catch (p) {
            n = p;
          }
          e();
        }
      } catch (p) {
        if (p && n && typeof p.stack == "string") {
          for (var l = p.stack.split(`
`), o = n.stack.split(`
`), f = l.length - 1, d = o.length - 1; f >= 1 && d >= 0 && l[f] !== o[d]; )
            d--;
          for (; f >= 1 && d >= 0; f--, d--)
            if (l[f] !== o[d]) {
              if (f !== 1 || d !== 1)
                do
                  if (f--, d--, d < 0 || l[f] !== o[d]) {
                    var g = `
` + l[f].replace(" at new ", " at ");
                    return typeof e == "function" && ge.set(e, g), g;
                  }
                while (f >= 1 && d >= 0);
              break;
            }
        }
      } finally {
        Fe = !1, _e.current = s, Ar(), Error.prepareStackTrace = a;
      }
      var b = e ? e.displayName || e.name : "", u = b ? ve(b) : "";
      return typeof e == "function" && ge.set(e, u), u;
    }
    function yt(e, t, r) {
      return gt(e, !1);
    }
    function Pr(e) {
      var t = e.prototype;
      return !!(t && t.isReactComponent);
    }
    function ye(e, t, r) {
      if (e == null)
        return "";
      if (typeof e == "function")
        return gt(e, Pr(e));
      if (typeof e == "string")
        return ve(e);
      switch (e) {
        case te:
          return ve("Suspense");
        case de:
          return ve("SuspenseList");
      }
      if (typeof e == "object")
        switch (e.$$typeof) {
          case fe:
            return yt(e.render);
          case he:
            return ye(e.type, t, r);
          case Me:
            return yt(e._render);
          case pe: {
            var n = e, a = n._payload, s = n._init;
            try {
              return ye(s(a), t, r);
            } catch {
            }
          }
        }
      return "";
    }
    var mt = {}, bt = Q.ReactDebugCurrentFrame;
    function me(e) {
      if (e) {
        var t = e._owner, r = ye(e.type, e._source, t ? t.type : null);
        bt.setExtraStackFrame(r);
      } else
        bt.setExtraStackFrame(null);
    }
    function Mr(e, t, r, n, a) {
      {
        var s = Function.call.bind(Object.prototype.hasOwnProperty);
        for (var i in e)
          if (s(e, i)) {
            var l = void 0;
            try {
              if (typeof e[i] != "function") {
                var o = Error((n || "React class") + ": " + r + " type `" + i + "` is invalid; it must be a function, usually from the `prop-types` package, but received `" + typeof e[i] + "`.This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.");
                throw o.name = "Invariant Violation", o;
              }
              l = e[i](t, i, n, r, null, "SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED");
            } catch (f) {
              l = f;
            }
            l && !(l instanceof Error) && (me(a), c("%s: type specification of %s `%s` is invalid; the type checker function must return `null` or an `Error` but returned a %s. You may have forgotten to pass an argument to the type checker creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and shape all require an argument).", n || "React class", r, i, typeof l), me(null)), l instanceof Error && !(l.message in mt) && (mt[l.message] = !0, me(a), c("Failed %s type: %s", r, l.message), me(null));
          }
      }
    }
    var ze;
    ze = /* @__PURE__ */ new Set();
    var He = {};
    Object.freeze(He);
    function kt(e, t) {
      var r = e.contextTypes;
      if (!r)
        return He;
      var n = {};
      for (var a in r)
        n[a] = t[a];
      return n;
    }
    function xt(e, t, r) {
      Mr(e, t, r, "Component");
    }
    function ne(e, t) {
      for (var r = e._threadCount | 0; r <= t; r++)
        e[r] = e._currentValue2, e._threadCount = r + 1;
    }
    function _r(e, t, r, n) {
      if (n) {
        var a = e.contextType;
        if ("contextType" in e) {
          var s = a === null || a !== void 0 && a.$$typeof === ce && a._context === void 0;
          if (!s && !ze.has(e)) {
            ze.add(e);
            var i = "";
            a === void 0 ? i = " However, it is set to undefined. This can be caused by a typo or by mixing up named and default imports. This can also happen due to a circular dependency, so try moving the createContext() call to a separate file." : typeof a != "object" ? i = " However, it is set to a " + typeof a + "." : a.$$typeof === ee ? i = " Did you accidentally pass the Context.Provider instead?" : a._context !== void 0 ? i = " Did you accidentally pass the Context.Consumer instead?" : i = " However, it is set to an object with keys {" + Object.keys(a).join(", ") + "}.", c("%s defines an invalid contextType. contextType should point to the Context object returned by React.createContext().%s", E(e) || "Component", i);
          }
        }
        if (typeof a == "object" && a !== null)
          return ne(a, r), a[r];
        {
          var l = kt(e, t);
          return e.contextTypes && xt(e.contextTypes, l, "context"), l;
        }
      } else {
        var o = kt(e, t);
        return e.contextTypes && xt(e.contextTypes, o, "context"), o;
      }
    }
    for (var T = new Uint16Array(16), be = 0; be < 15; be++)
      T[be] = be + 1;
    T[15] = 0;
    function Lr() {
      var e = T, t = e.length, r = t * 2;
      if (!(r <= 65536))
        throw Error("Maximum number of concurrent React renderers exceeded. This can happen if you are not properly destroying the Readable provided by React. Ensure that you call .destroy() on it if you no longer want to read from it, and did not read to the end. If you use .pipe() this should be automatic.");
      var n = new Uint16Array(r);
      n.set(e), T = n, T[0] = t + 1;
      for (var a = t; a < r - 1; a++)
        T[a] = a + 1;
      return T[r - 1] = 0, t;
    }
    function Fr() {
      var e = T[0];
      return e === 0 ? Lr() : (T[0] = T[e], e);
    }
    function wt(e) {
      T[e] = T[0], T[0] = e;
    }
    var ke = 0, V = 1, je = 2, N = 3, xe = 4, Et = 5, Rt = 6, St = ":A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD", ae = St + "\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040", zr = "data-reactroot", Hr = new RegExp("^[" + St + "][" + ae + "]*$"), Tt = Object.prototype.hasOwnProperty, It = {}, Ct = {};
    function Ot(e) {
      return Tt.call(Ct, e) ? !0 : Tt.call(It, e) ? !1 : Hr.test(e) ? (Ct[e] = !0, !0) : (It[e] = !0, c("Invalid attribute name: `%s`", e), !1);
    }
    function jr(e, t, r) {
      return t !== null ? t.type === ke : r ? !1 : e.length > 2 && (e[0] === "o" || e[0] === "O") && (e[1] === "n" || e[1] === "N");
    }
    function Ue(e, t, r, n) {
      if (r !== null && r.type === ke)
        return !1;
      switch (typeof t) {
        case "function":
        case "symbol":
          return !0;
        case "boolean": {
          if (n)
            return !1;
          if (r !== null)
            return !r.acceptsBooleans;
          var a = e.toLowerCase().slice(0, 5);
          return a !== "data-" && a !== "aria-";
        }
        default:
          return !1;
      }
    }
    function Ur(e, t, r, n) {
      if (t === null || typeof t > "u" || Ue(e, t, r, n))
        return !0;
      if (n)
        return !1;
      if (r !== null)
        switch (r.type) {
          case N:
            return !t;
          case xe:
            return t === !1;
          case Et:
            return isNaN(t);
          case Rt:
            return isNaN(t) || t < 1;
        }
      return !1;
    }
    function At(e) {
      return m.hasOwnProperty(e) ? m[e] : null;
    }
    function k(e, t, r, n, a, s, i) {
      this.acceptsBooleans = t === je || t === N || t === xe, this.attributeName = n, this.attributeNamespace = a, this.mustUseProperty = r, this.propertyName = e, this.type = t, this.sanitizeURL = s, this.removeEmptyString = i;
    }
    var m = {}, Wr = [
      "children",
      "dangerouslySetInnerHTML",
      "defaultValue",
      "defaultChecked",
      "innerHTML",
      "suppressContentEditableWarning",
      "suppressHydrationWarning",
      "style"
    ];
    Wr.forEach(function(e) {
      m[e] = new k(
        e,
        ke,
        !1,
        e,
        null,
        !1,
        !1
      );
    }), [["acceptCharset", "accept-charset"], ["className", "class"], ["htmlFor", "for"], ["httpEquiv", "http-equiv"]].forEach(function(e) {
      var t = e[0], r = e[1];
      m[t] = new k(
        t,
        V,
        !1,
        r,
        null,
        !1,
        !1
      );
    }), ["contentEditable", "draggable", "spellCheck", "value"].forEach(function(e) {
      m[e] = new k(
        e,
        je,
        !1,
        e.toLowerCase(),
        null,
        !1,
        !1
      );
    }), ["autoReverse", "externalResourcesRequired", "focusable", "preserveAlpha"].forEach(function(e) {
      m[e] = new k(
        e,
        je,
        !1,
        e,
        null,
        !1,
        !1
      );
    }), [
      "allowFullScreen",
      "async",
      "autoFocus",
      "autoPlay",
      "controls",
      "default",
      "defer",
      "disabled",
      "disablePictureInPicture",
      "disableRemotePlayback",
      "formNoValidate",
      "hidden",
      "loop",
      "noModule",
      "noValidate",
      "open",
      "playsInline",
      "readOnly",
      "required",
      "reversed",
      "scoped",
      "seamless",
      "itemScope"
    ].forEach(function(e) {
      m[e] = new k(
        e,
        N,
        !1,
        e.toLowerCase(),
        null,
        !1,
        !1
      );
    }), [
      "checked",
      "multiple",
      "muted",
      "selected"
    ].forEach(function(e) {
      m[e] = new k(
        e,
        N,
        !0,
        e,
        null,
        !1,
        !1
      );
    }), [
      "capture",
      "download"
    ].forEach(function(e) {
      m[e] = new k(
        e,
        xe,
        !1,
        e,
        null,
        !1,
        !1
      );
    }), [
      "cols",
      "rows",
      "size",
      "span"
    ].forEach(function(e) {
      m[e] = new k(
        e,
        Rt,
        !1,
        e,
        null,
        !1,
        !1
      );
    }), ["rowSpan", "start"].forEach(function(e) {
      m[e] = new k(
        e,
        Et,
        !1,
        e.toLowerCase(),
        null,
        !1,
        !1
      );
    });
    var We = /[\-\:]([a-z])/g, Ve = function(e) {
      return e[1].toUpperCase();
    };
    [
      "accent-height",
      "alignment-baseline",
      "arabic-form",
      "baseline-shift",
      "cap-height",
      "clip-path",
      "clip-rule",
      "color-interpolation",
      "color-interpolation-filters",
      "color-profile",
      "color-rendering",
      "dominant-baseline",
      "enable-background",
      "fill-opacity",
      "fill-rule",
      "flood-color",
      "flood-opacity",
      "font-family",
      "font-size",
      "font-size-adjust",
      "font-stretch",
      "font-style",
      "font-variant",
      "font-weight",
      "glyph-name",
      "glyph-orientation-horizontal",
      "glyph-orientation-vertical",
      "horiz-adv-x",
      "horiz-origin-x",
      "image-rendering",
      "letter-spacing",
      "lighting-color",
      "marker-end",
      "marker-mid",
      "marker-start",
      "overline-position",
      "overline-thickness",
      "paint-order",
      "panose-1",
      "pointer-events",
      "rendering-intent",
      "shape-rendering",
      "stop-color",
      "stop-opacity",
      "strikethrough-position",
      "strikethrough-thickness",
      "stroke-dasharray",
      "stroke-dashoffset",
      "stroke-linecap",
      "stroke-linejoin",
      "stroke-miterlimit",
      "stroke-opacity",
      "stroke-width",
      "text-anchor",
      "text-decoration",
      "text-rendering",
      "underline-position",
      "underline-thickness",
      "unicode-bidi",
      "unicode-range",
      "units-per-em",
      "v-alphabetic",
      "v-hanging",
      "v-ideographic",
      "v-mathematical",
      "vector-effect",
      "vert-adv-y",
      "vert-origin-x",
      "vert-origin-y",
      "word-spacing",
      "writing-mode",
      "xmlns:xlink",
      "x-height"
    ].forEach(function(e) {
      var t = e.replace(We, Ve);
      m[t] = new k(
        t,
        V,
        !1,
        e,
        null,
        !1,
        !1
      );
    }), [
      "xlink:actuate",
      "xlink:arcrole",
      "xlink:role",
      "xlink:show",
      "xlink:title",
      "xlink:type"
    ].forEach(function(e) {
      var t = e.replace(We, Ve);
      m[t] = new k(
        t,
        V,
        !1,
        e,
        "http://www.w3.org/1999/xlink",
        !1,
        !1
      );
    }), [
      "xml:base",
      "xml:lang",
      "xml:space"
    ].forEach(function(e) {
      var t = e.replace(We, Ve);
      m[t] = new k(
        t,
        V,
        !1,
        e,
        "http://www.w3.org/XML/1998/namespace",
        !1,
        !1
      );
    }), ["tabIndex", "crossOrigin"].forEach(function(e) {
      m[e] = new k(
        e,
        V,
        !1,
        e.toLowerCase(),
        null,
        !1,
        !1
      );
    });
    var Vr = "xlinkHref";
    m[Vr] = new k(
      "xlinkHref",
      V,
      !1,
      "xlink:href",
      "http://www.w3.org/1999/xlink",
      !0,
      !1
    ), ["src", "href", "action", "formAction"].forEach(function(e) {
      m[e] = new k(
        e,
        V,
        !1,
        e.toLowerCase(),
        null,
        !0,
        !0
      );
    });
    var Yr = /^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*\:/i, Dt = !1;
    function qr(e) {
      !Dt && Yr.test(e) && (Dt = !0, c("A future version of React will block javascript: URLs as a security precaution. Use event handlers instead if you can. If you need to generate unsafe HTML try using dangerouslySetInnerHTML instead. React was passed %s.", JSON.stringify(e)));
    }
    var Br = /["'&<>]/;
    function Nr(e) {
      var t = "" + e, r = Br.exec(t);
      if (!r)
        return t;
      var n, a = "", s, i = 0;
      for (s = r.index; s < t.length; s++) {
        switch (t.charCodeAt(s)) {
          case 34:
            n = "&quot;";
            break;
          case 38:
            n = "&amp;";
            break;
          case 39:
            n = "&#x27;";
            break;
          case 60:
            n = "&lt;";
            break;
          case 62:
            n = "&gt;";
            break;
          default:
            continue;
        }
        i !== s && (a += t.substring(i, s)), i = s + 1, a += n;
      }
      return i !== s ? a + t.substring(i, s) : a;
    }
    function ie(e) {
      return typeof e == "boolean" || typeof e == "number" ? "" + e : Nr(e);
    }
    function Ye(e) {
      return '"' + ie(e) + '"';
    }
    function Gr() {
      return zr + '=""';
    }
    function Xr(e, t) {
      var r = At(e);
      if (e !== "style" && jr(e, r, !1) || Ur(e, t, r, !1))
        return "";
      if (r !== null) {
        var n = r.attributeName, a = r.type;
        return a === N || a === xe && t === !0 ? n + '=""' : (r.sanitizeURL && (t = "" + t, qr(t)), n + "=" + Ye(t));
      } else if (Ot(e))
        return e + "=" + Ye(t);
      return "";
    }
    function Zr(e, t) {
      return !Ot(e) || t == null ? "" : e + "=" + Ye(t);
    }
    function $r(e, t) {
      return e === t && (e !== 0 || 1 / e === 1 / t) || e !== e && t !== t;
    }
    var Jr = typeof Object.is == "function" ? Object.is : $r, L = null, we = null, h = null, oe = !1, Ee = !1, z = null, Re = 0, Kr = 25, P = !1, G;
    function Y() {
      if (L === null)
        throw Error(`Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:
1. You might have mismatching versions of React and the renderer (such as React DOM)
2. You might be breaking the Rules of Hooks
3. You might have more than one copy of React in the same app
See https://reactjs.org/link/invalid-hook-call for tips about how to debug and fix this problem.`);
      return P && c("Do not call Hooks inside useEffect(...), useMemo(...), or other built-in Hooks. You can only call Hooks at the top level of your React function. For more information, see https://reactjs.org/link/rules-of-hooks"), L;
    }
    function Qr(e, t) {
      if (t === null)
        return c("%s received a final argument during this render, but not during the previous render. Even though the final argument is optional, its type cannot change between renders.", G), !1;
      e.length !== t.length && c(`The final argument passed to %s changed size between renders. The order and size of this array must remain constant.

Previous: %s
Incoming: %s`, G, "[" + e.join(", ") + "]", "[" + t.join(", ") + "]");
      for (var r = 0; r < t.length && r < e.length; r++)
        if (!Jr(e[r], t[r]))
          return !1;
      return !0;
    }
    function Pt() {
      if (Re > 0)
        throw Error("Rendered more hooks than during the previous render");
      return {
        memoizedState: null,
        queue: null,
        next: null
      };
    }
    function qe() {
      return h === null ? we === null ? (oe = !1, we = h = Pt()) : (oe = !0, h = we) : h.next === null ? (oe = !1, h = h.next = Pt()) : (oe = !0, h = h.next), h;
    }
    function Mt(e) {
      L = e, P = !1;
    }
    function _t(e, t, r, n) {
      for (; Ee; )
        Ee = !1, Re += 1, h = null, r = e(t, n);
      return Lt(), r;
    }
    function Lt() {
      P = !1, L = null, Ee = !1, we = null, Re = 0, z = null, h = null;
    }
    function en(e, t) {
      var r = X.threadID;
      return ne(e, r), P && c("Context can only be read while React is rendering. In classes, you can read it in the render method or getDerivedStateFromProps. In function components, you can read it directly in the function body, but not inside Hooks like useReducer() or useMemo()."), e[r];
    }
    function tn(e, t) {
      G = "useContext", Y();
      var r = X.threadID;
      return ne(e, r), e[r];
    }
    function Be(e, t) {
      return typeof t == "function" ? t(e) : t;
    }
    function rn(e) {
      return G = "useState", Ft(
        Be,
        e
      );
    }
    function Ft(e, t, r) {
      if (e !== Be && (G = "useReducer"), L = Y(), h = qe(), oe) {
        var n = h.queue, a = n.dispatch;
        if (z !== null) {
          var s = z.get(n);
          if (s !== void 0) {
            z.delete(n);
            var i = h.memoizedState, l = s;
            do {
              var o = l.action;
              P = !0, i = e(i, o), P = !1, l = l.next;
            } while (l !== null);
            return h.memoizedState = i, [i, a];
          }
        }
        return [h.memoizedState, a];
      } else {
        P = !0;
        var f;
        e === Be ? f = typeof t == "function" ? t() : t : f = r !== void 0 ? r(t) : t, P = !1, h.memoizedState = f;
        var d = h.queue = {
          last: null,
          dispatch: null
        }, g = d.dispatch = on.bind(null, L, d);
        return [h.memoizedState, g];
      }
    }
    function zt(e, t) {
      L = Y(), h = qe();
      var r = t === void 0 ? null : t;
      if (h !== null) {
        var n = h.memoizedState;
        if (n !== null && r !== null) {
          var a = n[1];
          if (Qr(r, a))
            return n[0];
        }
      }
      P = !0;
      var s = e();
      return P = !1, h.memoizedState = [s, r], s;
    }
    function nn(e) {
      L = Y(), h = qe();
      var t = h.memoizedState;
      if (t === null) {
        var r = {
          current: e
        };
        return Object.seal(r), h.memoizedState = r, r;
      } else
        return t;
    }
    function an(e, t) {
      G = "useLayoutEffect", c("useLayoutEffect does nothing on the server, because its effect cannot be encoded into the server renderer's output format. This will lead to a mismatch between the initial, non-hydrated UI and the intended UI. To avoid this, useLayoutEffect should only be used in components that render exclusively on the client. See https://reactjs.org/link/uselayouteffect-ssr for common fixes.");
    }
    function on(e, t, r) {
      if (!(Re < Kr))
        throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");
      if (e === L) {
        Ee = !0;
        var n = {
          action: r,
          next: null
        };
        z === null && (z = /* @__PURE__ */ new Map());
        var a = z.get(t);
        if (a === void 0)
          z.set(t, n);
        else {
          for (var s = a; s.next !== null; )
            s = s.next;
          s.next = n;
        }
      }
    }
    function sn(e, t) {
      return zt(function() {
        return e;
      }, t);
    }
    function ln(e, t, r) {
      return Y(), t(e._source);
    }
    function un(e) {
      return Y(), e;
    }
    function cn() {
      Y();
      var e = function(t) {
        t();
      };
      return [e, !1];
    }
    function fn() {
      return (X.identifierPrefix || "") + "R:" + (X.uniqueID++).toString(36);
    }
    function Ne() {
    }
    var X = null;
    function Ht(e) {
      X = e;
    }
    var dn = {
      readContext: en,
      useContext: tn,
      useMemo: zt,
      useReducer: Ft,
      useRef: nn,
      useState: rn,
      useLayoutEffect: an,
      useCallback: sn,
      useImperativeHandle: Ne,
      useEffect: Ne,
      useDebugValue: Ne,
      useDeferredValue: un,
      useTransition: cn,
      useOpaqueIdentifier: fn,
      useMutableSource: ln
    }, Se = "http://www.w3.org/1999/xhtml", jt = "http://www.w3.org/1998/Math/MathML", Ge = "http://www.w3.org/2000/svg", Xe = {
      html: Se,
      mathml: jt,
      svg: Ge
    };
    function Ut(e) {
      switch (e) {
        case "svg":
          return Ge;
        case "math":
          return jt;
        default:
          return Se;
      }
    }
    function hn(e, t) {
      return e == null || e === Se ? Ut(t) : e === Ge && t === "foreignObject" ? Se : e;
    }
    var pn = {
      button: !0,
      checkbox: !0,
      image: !0,
      hidden: !0,
      radio: !0,
      reset: !0,
      submit: !0
    };
    function Ze(e, t) {
      pn[t.type] || t.onChange || t.onInput || t.readOnly || t.disabled || t.value == null || c("You provided a `value` prop to a form field without an `onChange` handler. This will render a read-only field. If the field should be mutable use `defaultValue`. Otherwise, set either `onChange` or `readOnly`."), t.onChange || t.readOnly || t.disabled || t.checked == null || c("You provided a `checked` prop to a form field without an `onChange` handler. This will render a read-only field. If the field should be mutable use `defaultChecked`. Otherwise, set either `onChange` or `readOnly`.");
    }
    var Wt = {
      area: !0,
      base: !0,
      br: !0,
      col: !0,
      embed: !0,
      hr: !0,
      img: !0,
      input: !0,
      keygen: !0,
      link: !0,
      meta: !0,
      param: !0,
      source: !0,
      track: !0,
      wbr: !0
    }, vn = y({
      menuitem: !0
    }, Wt), gn = "__html";
    function yn(e, t) {
      if (t) {
        if (vn[e] && !(t.children == null && t.dangerouslySetInnerHTML == null))
          throw Error(e + " is a void element tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
        if (t.dangerouslySetInnerHTML != null) {
          if (t.children != null)
            throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");
          if (!(typeof t.dangerouslySetInnerHTML == "object" && gn in t.dangerouslySetInnerHTML))
            throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://reactjs.org/link/dangerously-set-inner-html for more information.");
        }
        if (!t.suppressContentEditableWarning && t.contentEditable && t.children != null && c("A component is `contentEditable` and contains `children` managed by React. It is now your responsibility to guarantee that none of those nodes are unexpectedly modified or duplicated. This is probably not intentional."), !(t.style == null || typeof t.style == "object"))
          throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");
      }
    }
    var se = {
      animationIterationCount: !0,
      borderImageOutset: !0,
      borderImageSlice: !0,
      borderImageWidth: !0,
      boxFlex: !0,
      boxFlexGroup: !0,
      boxOrdinalGroup: !0,
      columnCount: !0,
      columns: !0,
      flex: !0,
      flexGrow: !0,
      flexPositive: !0,
      flexShrink: !0,
      flexNegative: !0,
      flexOrder: !0,
      gridArea: !0,
      gridRow: !0,
      gridRowEnd: !0,
      gridRowSpan: !0,
      gridRowStart: !0,
      gridColumn: !0,
      gridColumnEnd: !0,
      gridColumnSpan: !0,
      gridColumnStart: !0,
      fontWeight: !0,
      lineClamp: !0,
      lineHeight: !0,
      opacity: !0,
      order: !0,
      orphans: !0,
      tabSize: !0,
      widows: !0,
      zIndex: !0,
      zoom: !0,
      fillOpacity: !0,
      floodOpacity: !0,
      stopOpacity: !0,
      strokeDasharray: !0,
      strokeDashoffset: !0,
      strokeMiterlimit: !0,
      strokeOpacity: !0,
      strokeWidth: !0
    };
    function mn(e, t) {
      return e + t.charAt(0).toUpperCase() + t.substring(1);
    }
    var bn = ["Webkit", "ms", "Moz", "O"];
    Object.keys(se).forEach(function(e) {
      bn.forEach(function(t) {
        se[mn(t, e)] = se[e];
      });
    });
    function kn(e, t, r) {
      var n = t == null || typeof t == "boolean" || t === "";
      return n ? "" : !r && typeof t == "number" && t !== 0 && !(se.hasOwnProperty(e) && se[e]) ? t + "px" : ("" + t).trim();
    }
    var xn = /([A-Z])/g, wn = /^ms-/;
    function En(e) {
      return e.replace(xn, "-$1").toLowerCase().replace(wn, "-ms-");
    }
    function $e(e, t) {
      if (e.indexOf("-") === -1)
        return typeof t.is == "string";
      switch (e) {
        case "annotation-xml":
        case "color-profile":
        case "font-face":
        case "font-face-src":
        case "font-face-uri":
        case "font-face-format":
        case "font-face-name":
        case "missing-glyph":
          return !1;
        default:
          return !0;
      }
    }
    var Vt = function() {
    };
    {
      var Rn = /^(?:webkit|moz|o)[A-Z]/, Sn = /^-ms-/, Tn = /-(.)/g, Yt = /;\s*$/, Z = {}, Je = {}, qt = !1, Bt = !1, In = function(e) {
        return e.replace(Tn, function(t, r) {
          return r.toUpperCase();
        });
      }, Cn = function(e) {
        Z.hasOwnProperty(e) && Z[e] || (Z[e] = !0, c(
          "Unsupported style property %s. Did you mean %s?",
          e,
          In(e.replace(Sn, "ms-"))
        ));
      }, On = function(e) {
        Z.hasOwnProperty(e) && Z[e] || (Z[e] = !0, c("Unsupported vendor-prefixed style property %s. Did you mean %s?", e, e.charAt(0).toUpperCase() + e.slice(1)));
      }, An = function(e, t) {
        Je.hasOwnProperty(t) && Je[t] || (Je[t] = !0, c(`Style property values shouldn't contain a semicolon. Try "%s: %s" instead.`, e, t.replace(Yt, "")));
      }, Dn = function(e, t) {
        qt || (qt = !0, c("`NaN` is an invalid value for the `%s` css style property.", e));
      }, Pn = function(e, t) {
        Bt || (Bt = !0, c("`Infinity` is an invalid value for the `%s` css style property.", e));
      };
      Vt = function(e, t) {
        e.indexOf("-") > -1 ? Cn(e) : Rn.test(e) ? On(e) : Yt.test(t) && An(e, t), typeof t == "number" && (isNaN(t) ? Dn(e, t) : isFinite(t) || Pn(e, t));
      };
    }
    var Mn = Vt, Nt = {
      "aria-current": 0,
      "aria-details": 0,
      "aria-disabled": 0,
      "aria-hidden": 0,
      "aria-invalid": 0,
      "aria-keyshortcuts": 0,
      "aria-label": 0,
      "aria-roledescription": 0,
      "aria-autocomplete": 0,
      "aria-checked": 0,
      "aria-expanded": 0,
      "aria-haspopup": 0,
      "aria-level": 0,
      "aria-modal": 0,
      "aria-multiline": 0,
      "aria-multiselectable": 0,
      "aria-orientation": 0,
      "aria-placeholder": 0,
      "aria-pressed": 0,
      "aria-readonly": 0,
      "aria-required": 0,
      "aria-selected": 0,
      "aria-sort": 0,
      "aria-valuemax": 0,
      "aria-valuemin": 0,
      "aria-valuenow": 0,
      "aria-valuetext": 0,
      "aria-atomic": 0,
      "aria-busy": 0,
      "aria-live": 0,
      "aria-relevant": 0,
      "aria-dropeffect": 0,
      "aria-grabbed": 0,
      "aria-activedescendant": 0,
      "aria-colcount": 0,
      "aria-colindex": 0,
      "aria-colspan": 0,
      "aria-controls": 0,
      "aria-describedby": 0,
      "aria-errormessage": 0,
      "aria-flowto": 0,
      "aria-labelledby": 0,
      "aria-owns": 0,
      "aria-posinset": 0,
      "aria-rowcount": 0,
      "aria-rowindex": 0,
      "aria-rowspan": 0,
      "aria-setsize": 0
    }, $ = {}, _n = new RegExp("^(aria)-[" + ae + "]*$"), Ln = new RegExp("^(aria)[A-Z][" + ae + "]*$"), Fn = Object.prototype.hasOwnProperty;
    function zn(e, t) {
      {
        if (Fn.call($, t) && $[t])
          return !0;
        if (Ln.test(t)) {
          var r = "aria-" + t.slice(4).toLowerCase(), n = Nt.hasOwnProperty(r) ? r : null;
          if (n == null)
            return c("Invalid ARIA attribute `%s`. ARIA attributes follow the pattern aria-* and must be lowercase.", t), $[t] = !0, !0;
          if (t !== n)
            return c("Invalid ARIA attribute `%s`. Did you mean `%s`?", t, n), $[t] = !0, !0;
        }
        if (_n.test(t)) {
          var a = t.toLowerCase(), s = Nt.hasOwnProperty(a) ? a : null;
          if (s == null)
            return $[t] = !0, !1;
          if (t !== s)
            return c("Unknown ARIA attribute `%s`. Did you mean `%s`?", t, s), $[t] = !0, !0;
        }
      }
      return !0;
    }
    function Hn(e, t) {
      {
        var r = [];
        for (var n in t) {
          var a = zn(e, n);
          a || r.push(n);
        }
        var s = r.map(function(i) {
          return "`" + i + "`";
        }).join(", ");
        r.length === 1 ? c("Invalid aria prop %s on <%s> tag. For details, see https://reactjs.org/link/invalid-aria-props", s, e) : r.length > 1 && c("Invalid aria props %s on <%s> tag. For details, see https://reactjs.org/link/invalid-aria-props", s, e);
      }
    }
    function jn(e, t) {
      $e(e, t) || Hn(e, t);
    }
    var Gt = !1;
    function Un(e, t) {
      {
        if (e !== "input" && e !== "textarea" && e !== "select")
          return;
        t != null && t.value === null && !Gt && (Gt = !0, e === "select" && t.multiple ? c("`value` prop on `%s` should not be null. Consider using an empty array when `multiple` is set to `true` to clear the component or `undefined` for uncontrolled components.", e) : c("`value` prop on `%s` should not be null. Consider using an empty string to clear the component or `undefined` for uncontrolled components.", e));
      }
    }
    var Xt = {
      accept: "accept",
      acceptcharset: "acceptCharset",
      "accept-charset": "acceptCharset",
      accesskey: "accessKey",
      action: "action",
      allowfullscreen: "allowFullScreen",
      alt: "alt",
      as: "as",
      async: "async",
      autocapitalize: "autoCapitalize",
      autocomplete: "autoComplete",
      autocorrect: "autoCorrect",
      autofocus: "autoFocus",
      autoplay: "autoPlay",
      autosave: "autoSave",
      capture: "capture",
      cellpadding: "cellPadding",
      cellspacing: "cellSpacing",
      challenge: "challenge",
      charset: "charSet",
      checked: "checked",
      children: "children",
      cite: "cite",
      class: "className",
      classid: "classID",
      classname: "className",
      cols: "cols",
      colspan: "colSpan",
      content: "content",
      contenteditable: "contentEditable",
      contextmenu: "contextMenu",
      controls: "controls",
      controlslist: "controlsList",
      coords: "coords",
      crossorigin: "crossOrigin",
      dangerouslysetinnerhtml: "dangerouslySetInnerHTML",
      data: "data",
      datetime: "dateTime",
      default: "default",
      defaultchecked: "defaultChecked",
      defaultvalue: "defaultValue",
      defer: "defer",
      dir: "dir",
      disabled: "disabled",
      disablepictureinpicture: "disablePictureInPicture",
      disableremoteplayback: "disableRemotePlayback",
      download: "download",
      draggable: "draggable",
      enctype: "encType",
      enterkeyhint: "enterKeyHint",
      for: "htmlFor",
      form: "form",
      formmethod: "formMethod",
      formaction: "formAction",
      formenctype: "formEncType",
      formnovalidate: "formNoValidate",
      formtarget: "formTarget",
      frameborder: "frameBorder",
      headers: "headers",
      height: "height",
      hidden: "hidden",
      high: "high",
      href: "href",
      hreflang: "hrefLang",
      htmlfor: "htmlFor",
      httpequiv: "httpEquiv",
      "http-equiv": "httpEquiv",
      icon: "icon",
      id: "id",
      innerhtml: "innerHTML",
      inputmode: "inputMode",
      integrity: "integrity",
      is: "is",
      itemid: "itemID",
      itemprop: "itemProp",
      itemref: "itemRef",
      itemscope: "itemScope",
      itemtype: "itemType",
      keyparams: "keyParams",
      keytype: "keyType",
      kind: "kind",
      label: "label",
      lang: "lang",
      list: "list",
      loop: "loop",
      low: "low",
      manifest: "manifest",
      marginwidth: "marginWidth",
      marginheight: "marginHeight",
      max: "max",
      maxlength: "maxLength",
      media: "media",
      mediagroup: "mediaGroup",
      method: "method",
      min: "min",
      minlength: "minLength",
      multiple: "multiple",
      muted: "muted",
      name: "name",
      nomodule: "noModule",
      nonce: "nonce",
      novalidate: "noValidate",
      open: "open",
      optimum: "optimum",
      pattern: "pattern",
      placeholder: "placeholder",
      playsinline: "playsInline",
      poster: "poster",
      preload: "preload",
      profile: "profile",
      radiogroup: "radioGroup",
      readonly: "readOnly",
      referrerpolicy: "referrerPolicy",
      rel: "rel",
      required: "required",
      reversed: "reversed",
      role: "role",
      rows: "rows",
      rowspan: "rowSpan",
      sandbox: "sandbox",
      scope: "scope",
      scoped: "scoped",
      scrolling: "scrolling",
      seamless: "seamless",
      selected: "selected",
      shape: "shape",
      size: "size",
      sizes: "sizes",
      span: "span",
      spellcheck: "spellCheck",
      src: "src",
      srcdoc: "srcDoc",
      srclang: "srcLang",
      srcset: "srcSet",
      start: "start",
      step: "step",
      style: "style",
      summary: "summary",
      tabindex: "tabIndex",
      target: "target",
      title: "title",
      type: "type",
      usemap: "useMap",
      value: "value",
      width: "width",
      wmode: "wmode",
      wrap: "wrap",
      about: "about",
      accentheight: "accentHeight",
      "accent-height": "accentHeight",
      accumulate: "accumulate",
      additive: "additive",
      alignmentbaseline: "alignmentBaseline",
      "alignment-baseline": "alignmentBaseline",
      allowreorder: "allowReorder",
      alphabetic: "alphabetic",
      amplitude: "amplitude",
      arabicform: "arabicForm",
      "arabic-form": "arabicForm",
      ascent: "ascent",
      attributename: "attributeName",
      attributetype: "attributeType",
      autoreverse: "autoReverse",
      azimuth: "azimuth",
      basefrequency: "baseFrequency",
      baselineshift: "baselineShift",
      "baseline-shift": "baselineShift",
      baseprofile: "baseProfile",
      bbox: "bbox",
      begin: "begin",
      bias: "bias",
      by: "by",
      calcmode: "calcMode",
      capheight: "capHeight",
      "cap-height": "capHeight",
      clip: "clip",
      clippath: "clipPath",
      "clip-path": "clipPath",
      clippathunits: "clipPathUnits",
      cliprule: "clipRule",
      "clip-rule": "clipRule",
      color: "color",
      colorinterpolation: "colorInterpolation",
      "color-interpolation": "colorInterpolation",
      colorinterpolationfilters: "colorInterpolationFilters",
      "color-interpolation-filters": "colorInterpolationFilters",
      colorprofile: "colorProfile",
      "color-profile": "colorProfile",
      colorrendering: "colorRendering",
      "color-rendering": "colorRendering",
      contentscripttype: "contentScriptType",
      contentstyletype: "contentStyleType",
      cursor: "cursor",
      cx: "cx",
      cy: "cy",
      d: "d",
      datatype: "datatype",
      decelerate: "decelerate",
      descent: "descent",
      diffuseconstant: "diffuseConstant",
      direction: "direction",
      display: "display",
      divisor: "divisor",
      dominantbaseline: "dominantBaseline",
      "dominant-baseline": "dominantBaseline",
      dur: "dur",
      dx: "dx",
      dy: "dy",
      edgemode: "edgeMode",
      elevation: "elevation",
      enablebackground: "enableBackground",
      "enable-background": "enableBackground",
      end: "end",
      exponent: "exponent",
      externalresourcesrequired: "externalResourcesRequired",
      fill: "fill",
      fillopacity: "fillOpacity",
      "fill-opacity": "fillOpacity",
      fillrule: "fillRule",
      "fill-rule": "fillRule",
      filter: "filter",
      filterres: "filterRes",
      filterunits: "filterUnits",
      floodopacity: "floodOpacity",
      "flood-opacity": "floodOpacity",
      floodcolor: "floodColor",
      "flood-color": "floodColor",
      focusable: "focusable",
      fontfamily: "fontFamily",
      "font-family": "fontFamily",
      fontsize: "fontSize",
      "font-size": "fontSize",
      fontsizeadjust: "fontSizeAdjust",
      "font-size-adjust": "fontSizeAdjust",
      fontstretch: "fontStretch",
      "font-stretch": "fontStretch",
      fontstyle: "fontStyle",
      "font-style": "fontStyle",
      fontvariant: "fontVariant",
      "font-variant": "fontVariant",
      fontweight: "fontWeight",
      "font-weight": "fontWeight",
      format: "format",
      from: "from",
      fx: "fx",
      fy: "fy",
      g1: "g1",
      g2: "g2",
      glyphname: "glyphName",
      "glyph-name": "glyphName",
      glyphorientationhorizontal: "glyphOrientationHorizontal",
      "glyph-orientation-horizontal": "glyphOrientationHorizontal",
      glyphorientationvertical: "glyphOrientationVertical",
      "glyph-orientation-vertical": "glyphOrientationVertical",
      glyphref: "glyphRef",
      gradienttransform: "gradientTransform",
      gradientunits: "gradientUnits",
      hanging: "hanging",
      horizadvx: "horizAdvX",
      "horiz-adv-x": "horizAdvX",
      horizoriginx: "horizOriginX",
      "horiz-origin-x": "horizOriginX",
      ideographic: "ideographic",
      imagerendering: "imageRendering",
      "image-rendering": "imageRendering",
      in2: "in2",
      in: "in",
      inlist: "inlist",
      intercept: "intercept",
      k1: "k1",
      k2: "k2",
      k3: "k3",
      k4: "k4",
      k: "k",
      kernelmatrix: "kernelMatrix",
      kernelunitlength: "kernelUnitLength",
      kerning: "kerning",
      keypoints: "keyPoints",
      keysplines: "keySplines",
      keytimes: "keyTimes",
      lengthadjust: "lengthAdjust",
      letterspacing: "letterSpacing",
      "letter-spacing": "letterSpacing",
      lightingcolor: "lightingColor",
      "lighting-color": "lightingColor",
      limitingconeangle: "limitingConeAngle",
      local: "local",
      markerend: "markerEnd",
      "marker-end": "markerEnd",
      markerheight: "markerHeight",
      markermid: "markerMid",
      "marker-mid": "markerMid",
      markerstart: "markerStart",
      "marker-start": "markerStart",
      markerunits: "markerUnits",
      markerwidth: "markerWidth",
      mask: "mask",
      maskcontentunits: "maskContentUnits",
      maskunits: "maskUnits",
      mathematical: "mathematical",
      mode: "mode",
      numoctaves: "numOctaves",
      offset: "offset",
      opacity: "opacity",
      operator: "operator",
      order: "order",
      orient: "orient",
      orientation: "orientation",
      origin: "origin",
      overflow: "overflow",
      overlineposition: "overlinePosition",
      "overline-position": "overlinePosition",
      overlinethickness: "overlineThickness",
      "overline-thickness": "overlineThickness",
      paintorder: "paintOrder",
      "paint-order": "paintOrder",
      panose1: "panose1",
      "panose-1": "panose1",
      pathlength: "pathLength",
      patterncontentunits: "patternContentUnits",
      patterntransform: "patternTransform",
      patternunits: "patternUnits",
      pointerevents: "pointerEvents",
      "pointer-events": "pointerEvents",
      points: "points",
      pointsatx: "pointsAtX",
      pointsaty: "pointsAtY",
      pointsatz: "pointsAtZ",
      prefix: "prefix",
      preservealpha: "preserveAlpha",
      preserveaspectratio: "preserveAspectRatio",
      primitiveunits: "primitiveUnits",
      property: "property",
      r: "r",
      radius: "radius",
      refx: "refX",
      refy: "refY",
      renderingintent: "renderingIntent",
      "rendering-intent": "renderingIntent",
      repeatcount: "repeatCount",
      repeatdur: "repeatDur",
      requiredextensions: "requiredExtensions",
      requiredfeatures: "requiredFeatures",
      resource: "resource",
      restart: "restart",
      result: "result",
      results: "results",
      rotate: "rotate",
      rx: "rx",
      ry: "ry",
      scale: "scale",
      security: "security",
      seed: "seed",
      shaperendering: "shapeRendering",
      "shape-rendering": "shapeRendering",
      slope: "slope",
      spacing: "spacing",
      specularconstant: "specularConstant",
      specularexponent: "specularExponent",
      speed: "speed",
      spreadmethod: "spreadMethod",
      startoffset: "startOffset",
      stddeviation: "stdDeviation",
      stemh: "stemh",
      stemv: "stemv",
      stitchtiles: "stitchTiles",
      stopcolor: "stopColor",
      "stop-color": "stopColor",
      stopopacity: "stopOpacity",
      "stop-opacity": "stopOpacity",
      strikethroughposition: "strikethroughPosition",
      "strikethrough-position": "strikethroughPosition",
      strikethroughthickness: "strikethroughThickness",
      "strikethrough-thickness": "strikethroughThickness",
      string: "string",
      stroke: "stroke",
      strokedasharray: "strokeDasharray",
      "stroke-dasharray": "strokeDasharray",
      strokedashoffset: "strokeDashoffset",
      "stroke-dashoffset": "strokeDashoffset",
      strokelinecap: "strokeLinecap",
      "stroke-linecap": "strokeLinecap",
      strokelinejoin: "strokeLinejoin",
      "stroke-linejoin": "strokeLinejoin",
      strokemiterlimit: "strokeMiterlimit",
      "stroke-miterlimit": "strokeMiterlimit",
      strokewidth: "strokeWidth",
      "stroke-width": "strokeWidth",
      strokeopacity: "strokeOpacity",
      "stroke-opacity": "strokeOpacity",
      suppresscontenteditablewarning: "suppressContentEditableWarning",
      suppresshydrationwarning: "suppressHydrationWarning",
      surfacescale: "surfaceScale",
      systemlanguage: "systemLanguage",
      tablevalues: "tableValues",
      targetx: "targetX",
      targety: "targetY",
      textanchor: "textAnchor",
      "text-anchor": "textAnchor",
      textdecoration: "textDecoration",
      "text-decoration": "textDecoration",
      textlength: "textLength",
      textrendering: "textRendering",
      "text-rendering": "textRendering",
      to: "to",
      transform: "transform",
      typeof: "typeof",
      u1: "u1",
      u2: "u2",
      underlineposition: "underlinePosition",
      "underline-position": "underlinePosition",
      underlinethickness: "underlineThickness",
      "underline-thickness": "underlineThickness",
      unicode: "unicode",
      unicodebidi: "unicodeBidi",
      "unicode-bidi": "unicodeBidi",
      unicoderange: "unicodeRange",
      "unicode-range": "unicodeRange",
      unitsperem: "unitsPerEm",
      "units-per-em": "unitsPerEm",
      unselectable: "unselectable",
      valphabetic: "vAlphabetic",
      "v-alphabetic": "vAlphabetic",
      values: "values",
      vectoreffect: "vectorEffect",
      "vector-effect": "vectorEffect",
      version: "version",
      vertadvy: "vertAdvY",
      "vert-adv-y": "vertAdvY",
      vertoriginx: "vertOriginX",
      "vert-origin-x": "vertOriginX",
      vertoriginy: "vertOriginY",
      "vert-origin-y": "vertOriginY",
      vhanging: "vHanging",
      "v-hanging": "vHanging",
      videographic: "vIdeographic",
      "v-ideographic": "vIdeographic",
      viewbox: "viewBox",
      viewtarget: "viewTarget",
      visibility: "visibility",
      vmathematical: "vMathematical",
      "v-mathematical": "vMathematical",
      vocab: "vocab",
      widths: "widths",
      wordspacing: "wordSpacing",
      "word-spacing": "wordSpacing",
      writingmode: "writingMode",
      "writing-mode": "writingMode",
      x1: "x1",
      x2: "x2",
      x: "x",
      xchannelselector: "xChannelSelector",
      xheight: "xHeight",
      "x-height": "xHeight",
      xlinkactuate: "xlinkActuate",
      "xlink:actuate": "xlinkActuate",
      xlinkarcrole: "xlinkArcrole",
      "xlink:arcrole": "xlinkArcrole",
      xlinkhref: "xlinkHref",
      "xlink:href": "xlinkHref",
      xlinkrole: "xlinkRole",
      "xlink:role": "xlinkRole",
      xlinkshow: "xlinkShow",
      "xlink:show": "xlinkShow",
      xlinktitle: "xlinkTitle",
      "xlink:title": "xlinkTitle",
      xlinktype: "xlinkType",
      "xlink:type": "xlinkType",
      xmlbase: "xmlBase",
      "xml:base": "xmlBase",
      xmllang: "xmlLang",
      "xml:lang": "xmlLang",
      xmlns: "xmlns",
      "xml:space": "xmlSpace",
      xmlnsxlink: "xmlnsXlink",
      "xmlns:xlink": "xmlnsXlink",
      xmlspace: "xmlSpace",
      y1: "y1",
      y2: "y2",
      y: "y",
      ychannelselector: "yChannelSelector",
      z: "z",
      zoomandpan: "zoomAndPan"
    }, Zt = function() {
    };
    {
      var x = {}, Wn = Object.prototype.hasOwnProperty, $t = /^on./, Vn = /^on[^A-Z]/, Yn = new RegExp("^(aria)-[" + ae + "]*$"), qn = new RegExp("^(aria)[A-Z][" + ae + "]*$");
      Zt = function(e, t, r, n) {
        if (Wn.call(x, t) && x[t])
          return !0;
        var a = t.toLowerCase();
        if (a === "onfocusin" || a === "onfocusout")
          return c("React uses onFocus and onBlur instead of onFocusIn and onFocusOut. All React events are normalized to bubble, so onFocusIn and onFocusOut are not needed/supported by React."), x[t] = !0, !0;
        if (n != null) {
          var s = n.registrationNameDependencies, i = n.possibleRegistrationNames;
          if (s.hasOwnProperty(t))
            return !0;
          var l = i.hasOwnProperty(a) ? i[a] : null;
          if (l != null)
            return c("Invalid event handler property `%s`. Did you mean `%s`?", t, l), x[t] = !0, !0;
          if ($t.test(t))
            return c("Unknown event handler property `%s`. It will be ignored.", t), x[t] = !0, !0;
        } else if ($t.test(t))
          return Vn.test(t) && c("Invalid event handler property `%s`. React events use the camelCase naming convention, for example `onClick`.", t), x[t] = !0, !0;
        if (Yn.test(t) || qn.test(t))
          return !0;
        if (a === "innerhtml")
          return c("Directly setting property `innerHTML` is not permitted. For more information, lookup documentation on `dangerouslySetInnerHTML`."), x[t] = !0, !0;
        if (a === "aria")
          return c("The `aria` attribute is reserved for future use in React. Pass individual `aria-` attributes instead."), x[t] = !0, !0;
        if (a === "is" && r !== null && r !== void 0 && typeof r != "string")
          return c("Received a `%s` for a string attribute `is`. If this is expected, cast the value to a string.", typeof r), x[t] = !0, !0;
        if (typeof r == "number" && isNaN(r))
          return c("Received NaN for the `%s` attribute. If this is expected, cast the value to a string.", t), x[t] = !0, !0;
        var o = At(t), f = o !== null && o.type === ke;
        if (Xt.hasOwnProperty(a)) {
          var d = Xt[a];
          if (d !== t)
            return c("Invalid DOM property `%s`. Did you mean `%s`?", t, d), x[t] = !0, !0;
        } else if (!f && t !== a)
          return c("React does not recognize the `%s` prop on a DOM element. If you intentionally want it to appear in the DOM as a custom attribute, spell it as lowercase `%s` instead. If you accidentally passed it from a parent component, remove it from the DOM element.", t, a), x[t] = !0, !0;
        return typeof r == "boolean" && Ue(t, r, o, !1) ? (r ? c('Received `%s` for a non-boolean attribute `%s`.\n\nIf you want to write it to the DOM, pass a string instead: %s="%s" or %s={value.toString()}.', r, t, t, r, t) : c('Received `%s` for a non-boolean attribute `%s`.\n\nIf you want to write it to the DOM, pass a string instead: %s="%s" or %s={value.toString()}.\n\nIf you used to conditionally omit it with %s={condition && value}, pass %s={condition ? value : undefined} instead.', r, t, t, r, t, t, t), x[t] = !0, !0) : f ? !0 : Ue(t, r, o, !1) ? (x[t] = !0, !1) : ((r === "false" || r === "true") && o !== null && o.type === N && (c("Received the string `%s` for the boolean attribute `%s`. %s Did you mean %s={%s}?", r, t, r === "false" ? "The browser will interpret it as a truthy value." : 'Although this works, it will not work as expected if you pass the string "false".', t, r), x[t] = !0), !0);
      };
    }
    var Bn = function(e, t, r) {
      {
        var n = [];
        for (var a in t) {
          var s = Zt(e, a, t[a], r);
          s || n.push(a);
        }
        var i = n.map(function(l) {
          return "`" + l + "`";
        }).join(", ");
        n.length === 1 ? c("Invalid value for prop %s on <%s> tag. Either remove it from the element, or pass a string or number value to keep it in the DOM. For details, see https://reactjs.org/link/attribute-behavior ", i, e) : n.length > 1 && c("Invalid values for props %s on <%s> tag. Either remove them from the element, or pass a string or number value to keep them in the DOM. For details, see https://reactjs.org/link/attribute-behavior ", i, e);
      }
    };
    function Nn(e, t, r) {
      $e(e, t) || Bn(e, t, r);
    }
    var H = _.Children.toArray, F = [], Ke = Q.ReactCurrentDispatcher, Te, Qe = null, Jt = function() {
      return "";
    }, Kt = function(e) {
      return "";
    }, Qt = function(e, t) {
    }, er = function(e) {
    }, tr = function(e) {
    }, rr = function() {
    }, nr = !1;
    Te = Q.ReactDebugCurrentFrame, Qt = function(e, t) {
      jn(e, t), Un(e, t), Nn(e, t, null);
    }, Kt = function(e) {
      return ye(e.type, e._source, null);
    }, er = function(e) {
      F.push(e), F.length === 1 && (Qe = Te.getCurrentStack, Te.getCurrentStack = Jt);
    }, tr = function(e) {
      var t = F[F.length - 1], r = t[t.length - 1];
      r.debugElementStack.push(e);
    }, rr = function() {
      F.pop(), F.length === 0 && (Te.getCurrentStack = Qe, Qe = null);
    }, Jt = function() {
      if (F.length === 0)
        return "";
      for (var e = F[F.length - 1], t = "", r = e.length - 1; r >= 0; r--)
        for (var n = e[r], a = n.debugElementStack, s = a.length - 1; s >= 0; s--)
          t += Kt(a[s]);
      return t;
    };
    var ar = !1, ir = !1, or = !1, sr = !1, lr = !1, ur = {}, cr = {}, fr = {}, dr = {}, hr = {}, pr = {}, vr = ["value", "defaultValue"], Gn = {
      listing: !0,
      pre: !0,
      textarea: !0
    }, Xn = /^[a-zA-Z][a-zA-Z:_\.\-\d]*$/, gr = {};
    function Zn(e) {
      if (!gr.hasOwnProperty(e)) {
        if (!Xn.test(e))
          throw Error("Invalid tag: " + e);
        gr[e] = !0;
      }
    }
    var et = {}, $n = function(e) {
      if (et.hasOwnProperty(e))
        return et[e];
      var t = En(e);
      return et[e] = t, t;
    };
    function Jn(e) {
      var t = "", r = "";
      for (var n in e)
        if (e.hasOwnProperty(n)) {
          var a = n.indexOf("--") === 0, s = e[n];
          a || Mn(n, s), s != null && (t += r + (a ? n : $n(n)) + ":", t += kn(n, s, a), r = ";");
        }
      return t || null;
    }
    function yr(e, t) {
      {
        var r = e.constructor, n = r && E(r) || "ReactClass", a = n + "." + t;
        if (ur[a])
          return;
        c(`%s(...): Can only update a mounting component. This usually means you called %s() outside componentWillMount() on the server. This is a no-op.

Please check the code for the %s component.`, t, t, n), ur[a] = !0;
      }
    }
    function Kn(e) {
      return e.prototype && e.prototype.isReactComponent;
    }
    function Qn(e) {
      var t = e.dangerouslySetInnerHTML;
      if (t != null) {
        if (t.__html != null)
          return t.__html;
      } else {
        var r = e.children;
        if (typeof r == "string" || typeof r == "number")
          return ie(r);
      }
      return null;
    }
    function ea(e) {
      if (!_.isValidElement(e))
        return H(e);
      var t = e;
      if (t.type !== ue)
        return [t];
      var r = t.props.children;
      if (!_.isValidElement(r))
        return H(r);
      var n = r;
      return [n];
    }
    function ta(e) {
      if (e == null)
        return e;
      var t = "";
      return _.Children.forEach(e, function(r) {
        r != null && (t += r, !lr && typeof r != "string" && typeof r != "number" && (lr = !0, c("Only strings and numbers are supported as <option> children.")));
      }), t;
    }
    var ra = Object.prototype.hasOwnProperty, na = "style", aa = {
      children: null,
      dangerouslySetInnerHTML: null,
      suppressContentEditableWarning: null,
      suppressHydrationWarning: null
    };
    function ia(e, t, r, n, a, s) {
      var i = "<" + e, l = $e(t, r);
      for (var o in r)
        if (ra.call(r, o)) {
          var f = r[o];
          if (f != null) {
            o === na && (f = Jn(f));
            var d = null;
            l ? aa.hasOwnProperty(o) || (d = Zr(o, f)) : d = Xr(o, f), d && (i += " " + d);
          }
        }
      return a || s && (i += " " + Gr()), i;
    }
    function mr(e, t) {
      if (e === void 0)
        throw Error((E(t) || "Component") + "(...): Nothing was returned from render. This usually means a return statement is missing. Or, to render nothing, return null.");
    }
    function oa(e, t, r) {
      for (; _.isValidElement(e); ) {
        var n = e, a = n.type;
        if (tr(n), typeof a != "function")
          break;
        s(n, a);
      }
      function s(i, l) {
        var o = Kn(l), f = _r(l, t, r, o), d = [], g = !1, b = {
          isMounted: function(W) {
            return !1;
          },
          enqueueForceUpdate: function(W) {
            if (d === null)
              return yr(W, "forceUpdate"), null;
          },
          enqueueReplaceState: function(W, K) {
            g = !0, d = [K];
          },
          enqueueSetState: function(W, K) {
            if (d === null)
              return yr(W, "setState"), null;
            d.push(K);
          }
        }, u;
        if (o) {
          if (u = new l(i.props, f, b), typeof l.getDerivedStateFromProps == "function") {
            if (u.state === null || u.state === void 0) {
              var p = E(l) || "Unknown";
              pr[p] || (c("`%s` uses `getDerivedStateFromProps` but its initial state is %s. This is not recommended. Instead, define the initial state by assigning an object to `this.state` in the constructor of `%s`. This ensures that `getDerivedStateFromProps` arguments have a consistent shape.", p, u.state === null ? "null" : "undefined", p), pr[p] = !0);
            }
            var w = l.getDerivedStateFromProps.call(null, i.props, u.state);
            if (w === void 0) {
              var R = E(l) || "Unknown";
              hr[R] || (c("%s.getDerivedStateFromProps(): A valid state object (or null) must be returned. You have returned undefined.", R), hr[R] = !0);
            }
            w != null && (u.state = y({}, u.state, w));
          }
        } else {
          if (l.prototype && typeof l.prototype.render == "function") {
            var S = E(l) || "Unknown";
            cr[S] || (c("The <%s /> component appears to have a render method, but doesn't extend React.Component. This is likely to cause errors. Change %s to extend React.Component instead.", S, S), cr[S] = !0);
          }
          var j = {};
          if (Mt(j), u = l(i.props, f, b), u = _t(l, i.props, u, f), u != null && u.render != null) {
            var I = E(l) || "Unknown";
            fr[I] || (c("The <%s /> component appears to be a function component that returns a class instance. Change %s to a class that extends React.Component instead. If you can't use a class try assigning the prototype on the function as a workaround. `%s.prototype = React.Component.prototype`. Don't use an arrow function since it cannot be called with `new` by React.", I, I, I), fr[I] = !0);
          }
          if (u == null || u.render == null) {
            e = u, mr(e, l);
            return;
          }
        }
        u.props = i.props, u.context = f, u.updater = b;
        var O = u.state;
        if (O === void 0 && (u.state = O = null), typeof u.UNSAFE_componentWillMount == "function" || typeof u.componentWillMount == "function") {
          if (typeof u.componentWillMount == "function") {
            if (u.componentWillMount.__suppressDeprecationWarning !== !0) {
              var U = E(l) || "Unknown";
              dr[U] || (Tr(
                `componentWillMount has been renamed, and is not recommended for use. See https://reactjs.org/link/unsafe-component-lifecycles for details.

* Move code from componentWillMount to componentDidMount (preferred in most cases) or the constructor.

Please update the following components: %s`,
                U
              ), dr[U] = !0);
            }
            typeof l.getDerivedStateFromProps != "function" && u.componentWillMount();
          }
          if (typeof u.UNSAFE_componentWillMount == "function" && typeof l.getDerivedStateFromProps != "function" && u.UNSAFE_componentWillMount(), d.length) {
            var C = d, A = g;
            if (d = null, g = !1, A && C.length === 1)
              u.state = C[0];
            else {
              for (var M = A ? C[0] : u.state, Ie = !0, J = A ? 1 : 0; J < C.length; J++) {
                var D = C[J], le = typeof D == "function" ? D.call(u, M, i.props, f) : D;
                le != null && (Ie ? (Ie = !1, M = y({}, M, le)) : y(M, le));
              }
              u.state = M;
            }
          } else
            d = null;
        }
        e = u.render(), e === void 0 && u.render._isMockFunction && (e = null), mr(e, l);
        var q;
        {
          if (typeof u.getChildContext == "function") {
            var Ce = l.childContextTypes;
            if (typeof Ce == "object") {
              q = u.getChildContext();
              for (var Oe in q)
                if (!(Oe in Ce))
                  throw Error((E(l) || "Unknown") + '.getChildContext(): key "' + Oe + '" is not defined in childContextTypes.');
            } else
              c("%s.getChildContext(): childContextTypes must be defined in order to use getChildContext().", E(l) || "Unknown");
          }
          q && (t = y({}, t, q));
        }
      }
      return {
        child: e,
        context: t
      };
    }
    var br = /* @__PURE__ */ function() {
      function e(r, n, a) {
        var s = ea(r), i = {
          type: null,
          domNamespace: Xe.html,
          children: s,
          childIndex: 0,
          context: He,
          footer: ""
        };
        i.debugElementStack = [], this.threadID = Fr(), this.stack = [i], this.exhausted = !1, this.currentSelectValue = null, this.previousWasTextNode = !1, this.makeStaticMarkup = n, this.suspenseDepth = 0, this.contextIndex = -1, this.contextStack = [], this.contextValueStack = [], this.uniqueID = 0, this.identifierPrefix = a && a.identifierPrefix || "", this.contextProviderStack = [];
      }
      var t = e.prototype;
      return t.destroy = function() {
        this.exhausted || (this.exhausted = !0, this.clearProviders(), wt(this.threadID));
      }, t.pushProvider = function(n) {
        var a = ++this.contextIndex, s = n.type._context, i = this.threadID;
        ne(s, i);
        var l = s[i];
        this.contextStack[a] = s, this.contextValueStack[a] = l, this.contextProviderStack[a] = n, s[i] = n.props.value;
      }, t.popProvider = function(n) {
        var a = this.contextIndex;
        (a < 0 || n !== this.contextProviderStack[a]) && c("Unexpected pop.");
        var s = this.contextStack[a], i = this.contextValueStack[a];
        this.contextStack[a] = null, this.contextValueStack[a] = null, this.contextProviderStack[a] = null, this.contextIndex--, s[this.threadID] = i;
      }, t.clearProviders = function() {
        for (var n = this.contextIndex; n >= 0; n--) {
          var a = this.contextStack[n], s = this.contextValueStack[n];
          a[this.threadID] = s;
        }
      }, t.read = function(n) {
        if (this.exhausted)
          return null;
        var a = X;
        Ht(this);
        var s = Ke.current;
        Ke.current = dn;
        try {
          for (var i = [""], l = !1; i[0].length < n; ) {
            if (this.stack.length === 0) {
              this.exhausted = !0, wt(this.threadID);
              break;
            }
            var o = this.stack[this.stack.length - 1];
            if (l || o.childIndex >= o.children.length) {
              var f = o.footer;
              if (f !== "" && (this.previousWasTextNode = !1), this.stack.pop(), o.type === "select")
                this.currentSelectValue = null;
              else if (o.type != null && o.type.type != null && o.type.type.$$typeof === ee) {
                var d = o.type;
                this.popProvider(d);
              } else if (o.type === te) {
                this.suspenseDepth--;
                var g = i.pop();
                if (l) {
                  l = !1;
                  var b = o.fallbackFrame;
                  if (!b)
                    throw Error("ReactDOMServer did not find an internal fallback frame for Suspense. This is a bug in React. Please file an issue.");
                  this.stack.push(b), i[this.suspenseDepth] += "<!--$!-->";
                  continue;
                } else
                  i[this.suspenseDepth] += g;
              }
              i[this.suspenseDepth] += f;
              continue;
            }
            var u = o.children[o.childIndex++], p = "";
            er(this.stack), o.debugElementStack.length = 0;
            try {
              p += this.render(u, o.context, o.domNamespace);
            } catch (w) {
              if (w != null && typeof w.then == "function") {
                if (!Cr)
                  throw Error("ReactDOMServer does not yet support Suspense.");
              } else
                throw w;
            } finally {
              rr();
            }
            i.length <= this.suspenseDepth && i.push(""), i[this.suspenseDepth] += p;
          }
          return i[0];
        } finally {
          Ke.current = s, Ht(a), Lt();
        }
      }, t.render = function(n, a, s) {
        if (typeof n == "string" || typeof n == "number") {
          var i = "" + n;
          return i === "" ? "" : this.makeStaticMarkup ? ie(i) : this.previousWasTextNode ? "<!-- -->" + ie(i) : (this.previousWasTextNode = !0, ie(i));
        } else {
          var l, o = oa(n, a, this.threadID);
          if (l = o.child, a = o.context, l === null || l === !1)
            return "";
          if (!_.isValidElement(l)) {
            if (l != null && l.$$typeof != null) {
              var f = l.$$typeof;
              throw Error(f === Ae ? "Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render." : "Unknown element-like object type: " + f.toString() + ". This is likely a bug in React. Please file an issue.");
            }
            var d = H(l), g = {
              type: null,
              domNamespace: s,
              children: d,
              childIndex: 0,
              context: a,
              footer: ""
            };
            return g.debugElementStack = [], this.stack.push(g), "";
          }
          var b = l, u = b.type;
          if (typeof u == "string")
            return this.renderDOM(b, a, s);
          switch (u) {
            case ot:
            case it:
            case De:
            case Pe:
            case de:
            case ue: {
              var p = H(l.props.children), w = {
                type: null,
                domNamespace: s,
                children: p,
                childIndex: 0,
                context: a,
                footer: ""
              };
              return w.debugElementStack = [], this.stack.push(w), "";
            }
            case te:
              throw Error("ReactDOMServer does not yet support Suspense.");
            case at:
              throw Error("ReactDOMServer does not yet support scope components.");
          }
          if (typeof u == "object" && u !== null)
            switch (u.$$typeof) {
              case fe: {
                var R = l, S, j = {};
                Mt(j), S = u.render(R.props, R.ref), S = _t(u.render, R.props, S, R.ref), S = H(S);
                var I = {
                  type: null,
                  domNamespace: s,
                  children: S,
                  childIndex: 0,
                  context: a,
                  footer: ""
                };
                return I.debugElementStack = [], this.stack.push(I), "";
              }
              case he: {
                var O = l, U = [_.createElement(u.type, y({
                  ref: O.ref
                }, O.props))], C = {
                  type: null,
                  domNamespace: s,
                  children: U,
                  childIndex: 0,
                  context: a,
                  footer: ""
                };
                return C.debugElementStack = [], this.stack.push(C), "";
              }
              case ee: {
                var A = l, M = A.props, Ie = H(M.children), J = {
                  type: A,
                  domNamespace: s,
                  children: Ie,
                  childIndex: 0,
                  context: a,
                  footer: ""
                };
                return J.debugElementStack = [], this.pushProvider(A), this.stack.push(J), "";
              }
              case ce: {
                var D = l.type;
                D._context === void 0 ? D !== D.Consumer && (nr || (nr = !0, c("Rendering <Context> directly is not supported and will be removed in a future major release. Did you mean to render <Context.Consumer> instead?"))) : D = D._context;
                var le = l.props, q = this.threadID;
                ne(D, q);
                var Ce = D[q], Oe = H(le.children(Ce)), W = {
                  type: l,
                  domNamespace: s,
                  children: Oe,
                  childIndex: 0,
                  context: a,
                  footer: ""
                };
                return W.debugElementStack = [], this.stack.push(W), "";
              }
              case nt:
                throw Error("ReactDOMServer does not yet support the fundamental API.");
              case pe: {
                var K = l, kr = l.type, fa = kr._payload, da = kr._init, ha = da(fa), pa = [_.createElement(ha, y({
                  ref: K.ref
                }, K.props))], xr = {
                  type: null,
                  domNamespace: s,
                  children: pa,
                  childIndex: 0,
                  context: a,
                  footer: ""
                };
                return xr.debugElementStack = [], this.stack.push(xr), "";
              }
            }
          var tt = "";
          {
            var wr = b._owner;
            (u === void 0 || typeof u == "object" && u !== null && Object.keys(u).length === 0) && (tt += " You likely forgot to export your component from the file it's defined in, or you might have mixed up default and named imports.");
            var Er = wr ? E(wr) : null;
            Er && (tt += `

Check the render method of \`` + Er + "`.");
          }
          throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: " + (u == null ? u : typeof u) + "." + tt);
        }
      }, t.renderDOM = function(n, a, s) {
        var i = n.type.toLowerCase(), l = s;
        s === Xe.html && (l = Ut(i)), l === Xe.html && i !== n.type && c("<%s /> is using incorrect casing. Use PascalCase for React components, or lowercase for HTML elements.", n.type), Zn(i);
        var o = n.props;
        if (i === "input")
          Ze("input", o), o.checked !== void 0 && o.defaultChecked !== void 0 && !ir && (c("%s contains an input of type %s with both checked and defaultChecked props. Input elements must be either controlled or uncontrolled (specify either the checked prop, or the defaultChecked prop, but not both). Decide between using a controlled or uncontrolled input element and remove one of these props. More info: https://reactjs.org/link/controlled-components", "A component", o.type), ir = !0), o.value !== void 0 && o.defaultValue !== void 0 && !ar && (c("%s contains an input of type %s with both value and defaultValue props. Input elements must be either controlled or uncontrolled (specify either the value prop, or the defaultValue prop, but not both). Decide between using a controlled or uncontrolled input element and remove one of these props. More info: https://reactjs.org/link/controlled-components", "A component", o.type), ar = !0), o = y({
            type: void 0
          }, o, {
            defaultChecked: void 0,
            defaultValue: void 0,
            value: o.value != null ? o.value : o.defaultValue,
            checked: o.checked != null ? o.checked : o.defaultChecked
          });
        else if (i === "textarea") {
          Ze("textarea", o), o.value !== void 0 && o.defaultValue !== void 0 && !sr && (c("Textarea elements must be either controlled or uncontrolled (specify either the value prop, or the defaultValue prop, but not both). Decide between using a controlled or uncontrolled textarea and remove one of these props. More info: https://reactjs.org/link/controlled-components"), sr = !0);
          var f = o.value;
          if (f == null) {
            var d = o.defaultValue, g = o.children;
            if (g != null) {
              if (c("Use the `defaultValue` or `value` props instead of setting children on <textarea>."), d != null)
                throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");
              if (Array.isArray(g)) {
                if (!(g.length <= 1))
                  throw Error("<textarea> can only have at most one child.");
                g = g[0];
              }
              d = "" + g;
            }
            d == null && (d = ""), f = d;
          }
          o = y({}, o, {
            value: void 0,
            children: "" + f
          });
        } else if (i === "select") {
          {
            Ze("select", o);
            for (var b = 0; b < vr.length; b++) {
              var u = vr[b];
              if (o[u] != null) {
                var p = Array.isArray(o[u]);
                o.multiple && !p ? c("The `%s` prop supplied to <select> must be an array if `multiple` is true.", u) : !o.multiple && p && c("The `%s` prop supplied to <select> must be a scalar value if `multiple` is false.", u);
              }
            }
            o.value !== void 0 && o.defaultValue !== void 0 && !or && (c("Select elements must be either controlled or uncontrolled (specify either the value prop, or the defaultValue prop, but not both). Decide between using a controlled or uncontrolled select element and remove one of these props. More info: https://reactjs.org/link/controlled-components"), or = !0);
          }
          this.currentSelectValue = o.value != null ? o.value : o.defaultValue, o = y({}, o, {
            value: void 0
          });
        } else if (i === "option") {
          var w = null, R = this.currentSelectValue, S = ta(o.children);
          if (R != null) {
            var j;
            if (o.value != null ? j = o.value + "" : j = S, w = !1, Array.isArray(R)) {
              for (var I = 0; I < R.length; I++)
                if ("" + R[I] === j) {
                  w = !0;
                  break;
                }
            } else
              w = "" + R === j;
            o = y({
              selected: void 0,
              children: void 0
            }, o, {
              selected: w,
              children: S
            });
          }
        }
        Qt(i, o), yn(i, o);
        var O = ia(n.type, i, o, l, this.makeStaticMarkup, this.stack.length === 1), U = "";
        Wt.hasOwnProperty(i) ? O += "/>" : (O += ">", U = "</" + n.type + ">");
        var C, A = Qn(o);
        A != null ? (C = [], Gn.hasOwnProperty(i) && A.charAt(0) === `
` && (O += `
`), O += A) : C = H(o.children);
        var M = {
          domNamespace: hn(s, n.type),
          type: i,
          children: C,
          childIndex: 0,
          context: a,
          footer: U
        };
        return M.debugElementStack = [], this.stack.push(M), this.previousWasTextNode = !1, O;
      }, e;
    }();
    function sa(e, t) {
      var r = new br(e, !1, t);
      try {
        var n = r.read(1 / 0);
        return n;
      } finally {
        r.destroy();
      }
    }
    function la(e, t) {
      var r = new br(e, !0, t);
      try {
        var n = r.read(1 / 0);
        return n;
      } finally {
        r.destroy();
      }
    }
    function ua() {
      throw Error("ReactDOMServer.renderToNodeStream(): The streaming API is not available in the browser. Use ReactDOMServer.renderToString() instead.");
    }
    function ca() {
      throw Error("ReactDOMServer.renderToStaticNodeStream(): The streaming API is not available in the browser. Use ReactDOMServer.renderToStaticMarkup() instead.");
    }
    B.renderToNodeStream = ua, B.renderToStaticMarkup = la, B.renderToStaticNodeStream = ca, B.renderToString = sa, B.version = Sr;
  }(), B);
}
export {
  xa as __require
};
